Page MenuHomePhabricator

Inserting a link forces the first character to be capitalised, which doesn't work for case-sensitive interwiki links
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  • Create an interwiki link using a target like, "en:Lemur"
  • It's not necessary to save the article at this point, the bug occurs either way.
  • Open Visual Editor a second time and edit the same link again.

Notice that the link target is red now. It is "En:Lemur", which doesn't correctly trigger interwiki interpretation.

Event Timeline

awight created this task.Jan 22 2016, 12:45 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a project: VisualEditor.
awight added a subscriber: awight.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 22 2016, 12:45 PM
Jdforrester-WMF renamed this task from Interwiki link is generated as uppercase, not idempotent to Inserting a link forces the first character to be capitalised, which doesn't work for case-sensitive interwiki links.Feb 2 2016, 8:27 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
Tgr added a subscriber: Tgr.Jul 21 2016, 4:45 PM

En:Lemur works fine as far as I can tell. You might have run into T133535.

This task and T116619 is about the same issue.

Gnom1 added a subscriber: Gnom1.Oct 22 2016, 9:30 PM

Change 344375 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Use original title or normalized title when inserting link text

https://gerrit.wikimedia.org/r/344375

Change 344375 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Use original title or normalized title when inserting link text

https://gerrit.wikimedia.org/r/344375

Jdforrester-WMF closed this task as Resolved.Mar 24 2017, 10:38 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Freezer to TR1: Releases on the VisualEditor board.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 24 2017, 10:38 PM